package com.flashlink.vpn

import com.google.gson.Gson

data class XrayConfig(
    var sessionId: String = "",
    var socksPort: Int = 0,
    var tunnelConfig: String = "",
    var startOptions: String = "",
    var configJson: String = "",
    var remainTime: Long = 0L,
    var isCountdown: Boolean = false,
    var allowVpnApps: ArrayList<String> = ArrayList(),
    var disallowVpnApps: ArrayList<String> = ArrayList(),
    var peekTimeInterval: Int = 0,
    var accessToken: String = "",
    var aesKey: String = "",
    var aesIv: String = "",
    var locationId: Int = 0,
    var locationCode: String = "",
    var baseUrls: ArrayList<String> = ArrayList(),
    var params: String = "",
    
) {
    fun getProxyStartOptions(): String {
        return startOptions
    }

    fun toJson(): String {
        return Gson().toJson(this)
    }
}
